List stream monitors
curl --request GET \
--url https://scrapebadger.com/v1/twitter/stream/monitors \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/twitter/stream/monitors"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/twitter/stream/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"monitors": [
{
"id": "<string>",
"name": "Tech Leaders Monitor",
"usernames": [
"elonmusk",
"sama"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status_reason": "<string>",
"webhook_url": "<string>",
"webhook_secret_set": true,
"filter_types": [],
"credits_per_account_per_day": 123,
"estimated_credits_per_day": 123,
"pricing_tier": "Standard"
}
],
"total": 123,
"page": 123,
"page_size": 123
}{
"error": "Invalid or missing API key"
}{
"error": "Insufficient credits"
}{
"error": "Rate limit exceeded. Please retry after a short delay."
}Stream Monitors API
List Stream Monitors
List all stream monitors for the authenticated API key. Supports pagination and optional filtering by status.
GET
/
v1
/
twitter
/
stream
/
monitors
List stream monitors
Authorizations
Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.
Query Parameters
Page number for pagination.
Required range:
x >= 1Number of monitors per page.
Required range:
1 <= x <= 100Filter monitors by status.
Available options:
active, paused ⌘I

